Status: Feedback Start date: 09/21/2017

Priority: Urgent Due date: 09/27/2017

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

If the product is under the review and also sent a deficiency letter to the applicant, this “submit” button disappears. This button

appears again when the clarification is submitted and accepted by entering date. This is good to calculate evaluation time; but there

are times when the evaluation result needs to be seen by coordinator or secondary reviewer awaiting the response from the

applicant on the query.is it not possible to allow “submit” to the secondary reviewer while awaiting the response from the applicant?

History

#1 - 09/21/2017 09:51 AM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 09/22/2017 05:05 AM - Oleksii Kurasov

- Status changed from In Progress to Feedback

Write down new process description for discussions and approval (NMRC)

#3 - 09/22/2017 05:21 AM - Oleksii Kurasov

- Due date changed from 09/22/2017 to 09/27/2017

#4 - 09/28/2017 11:04 AM - Oleksii Kurasov

- File Proposals20170922.docx added

Files

Proposals20170922.docx 947 KB 09/28/2017 Oleksii Kurasov
